<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Rapport extends Model
{   
    //
    use HasFactory; 
    protected $fillable = ['id','date_inspection','classe_visitee','passation','titre_lecon','deroulement','appreciation_generale','numero_ordre','note','etablissement_id','professeur_id','inspecteur_id','nombre_eleve','present','horaire'];
    
    
    // ================= ETABLISSEMENT =================
    public function etablissement(): BelongsTo
    {
        return $this->belongsTo(Etablissement::class);
    }

    // ================= PROFESSEUR =================
    public function professeur(): BelongsTo
    {
        return $this->belongsTo(Professeur::class);
    }

    // ================= INSPECTEUR =================
    public function inspecteur(): BelongsTo
    {
        return $this->belongsTo(Inspecteur::class);
    }

}
